# Class TColumn

java.lang.Object
org.apache.thrift.TUnion<TColumn,TColumn._Fields>
com.databricks.jdbc.model.client.thrift.generated.TColumn

All Implemented Interfaces:
  `Serializable`, `Comparable<TColumn>`, `org.apache.thrift.TBase<TColumn,TColumn._Fields>`, `org.apache.thrift.TSerializable`

@Generated(value="Autogenerated by Thrift Compiler (0.19.0)", date="2025-05-08") public class TColumn extends org.apache.thrift.TUnion<TColumn,TColumn._Fields>

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`TColumn._Fields`
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Map<TColumn._Fields,org.apache.thrift.meta_data.FieldMetaData>`
`metaDataMap`

### Fields inherited from class org.apache.thrift.TUnion

`setField_, value_`

## Constructor Summary

Constructors
Constructor
Description
`TColumn()`
`TColumn(TColumn other)`
`TColumn(TColumn._Fields setField, Object value)`

## Method Summary

Modifier and Type
Method
Description
`static TColumn`
`binaryVal(TBinaryColumn value)`
`static TColumn`
`boolVal(TBoolColumn value)`
`static TColumn`
`byteVal(TByteColumn value)`
`protected void`
`checkType(TColumn._Fields setField, Object value)`
`int`
`compareTo(TColumn other)`
`TColumn`
`deepCopy()`
`static TColumn`
`doubleVal(TDoubleColumn value)`
`protected TColumn._Fields`
`enumForId(short id)`
`boolean`
`equals(TColumn other)`
`boolean`
`equals(Object other)`
`TColumn._Fields`
`fieldForId(int fieldId)`
`TBinaryColumn`
`getBinaryVal()`
`TBoolColumn`
`getBoolVal()`
`TByteColumn`
`getByteVal()`
`TDoubleColumn`
`getDoubleVal()`
`protected org.apache.thrift.protocol.TField`
`getFieldDesc(TColumn._Fields setField)`
`TI16Column`
`getI16Val()`
`TI32Column`
`getI32Val()`
`TI64Column`
`getI64Val()`
`TStringColumn`
`getStringVal()`
`protected org.apache.thrift.protocol.TStruct`
`getStructDesc()`
`int`
`hashCode()`
`static TColumn`
`i16Val(TI16Column value)`
`static TColumn`
`i32Val(TI32Column value)`
`static TColumn`
`i64Val(TI64Column value)`
`boolean`
`isSetBinaryVal()`
`boolean`
`isSetBoolVal()`
`boolean`
`isSetByteVal()`
`boolean`
`isSetDoubleVal()`
`boolean`
`isSetI16Val()`
`boolean`
`isSetI32Val()`
`boolean`
`isSetI64Val()`
`boolean`
`isSetStringVal()`
`void`
`setBinaryVal(TBinaryColumn value)`
`void`
`setBoolVal(TBoolColumn value)`
`void`
`setByteVal(TByteColumn value)`
`void`
`setDoubleVal(TDoubleColumn value)`
`void`
`setI16Val(TI16Column value)`
`void`
`setI32Val(TI32Column value)`
`void`
`setI64Val(TI64Column value)`
`void`
`setStringVal(TStringColumn value)`
`protected Object`
`standardSchemeReadValue(org.apache.thrift.protocol.TProtocol iprot, org.apache.thrift.protocol.TField field)`
`protected void`
`standardSchemeWriteValue(org.apache.thrift.protocol.TProtocol oprot)`
`static TColumn`
`stringVal(TStringColumn value)`
`protected Object`
`tupleSchemeReadValue(org.apache.thrift.protocol.TProtocol iprot, short fieldID)`
`protected void`
`tupleSchemeWriteValue(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class org.apache.thrift.TUnion

`clear, getFieldValue, getFieldValue, getFieldValue, getSetField, isSet, isSet, isSet, read, setFieldValue, setFieldValue, toString, write`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### metaDataMap

public static final Map<TColumn._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

## Constructor Details

### TColumn

public TColumn()

### TColumn

public TColumn(TColumn._Fields setField, Object value)

### TColumn

public TColumn(TColumn other)

## Method Details

### deepCopy

public TColumn deepCopy()

### boolVal

public static TColumn boolVal(TBoolColumn value)

### byteVal

public static TColumn byteVal(TByteColumn value)

### i16Val

public static TColumn i16Val(TI16Column value)

### i32Val

public static TColumn i32Val(TI32Column value)

### i64Val

public static TColumn i64Val(TI64Column value)

### doubleVal

public static TColumn doubleVal(TDoubleColumn value)

### stringVal

public static TColumn stringVal(TStringColumn value)

### binaryVal

public static TColumn binaryVal(TBinaryColumn value)

### checkType

protected void checkType(TColumn._Fields setField, Object value) throws ClassCastException

Specified by:
  `checkType` in class `org.apache.thrift.TUnion<TColumn,TColumn._Fields>`
Throws:
  `ClassCastException`

### standardSchemeReadValue

protected Object standardSchemeReadValue(org.apache.thrift.protocol.TProtocol iprot, org.apache.thrift.protocol.TField field) throws org.apache.thrift.TException

Specified by:
  `standardSchemeReadValue` in class `org.apache.thrift.TUnion<TColumn,TColumn._Fields>`
Throws:
  `org.apache.thrift.TException`

### standardSchemeWriteValue

protected void standardSchemeWriteValue(org.apache.thrift.protocol.TProtocol oprot) throws org.apache.thrift.TException

Specified by:
  `standardSchemeWriteValue` in class `org.apache.thrift.TUnion<TColumn,TColumn._Fields>`
Throws:
  `org.apache.thrift.TException`

### tupleSchemeReadValue

protected Object tupleSchemeReadValue(org.apache.thrift.protocol.TProtocol iprot, short fieldID) throws org.apache.thrift.TException

Specified by:
  `tupleSchemeReadValue` in class `org.apache.thrift.TUnion<TColumn,TColumn._Fields>`
Throws:
  `org.apache.thrift.TException`

### tupleSchemeWriteValue

protected void tupleSchemeWriteValue(org.apache.thrift.protocol.TProtocol oprot) throws org.apache.thrift.TException

Specified by:
  `tupleSchemeWriteValue` in class `org.apache.thrift.TUnion<TColumn,TColumn._Fields>`
Throws:
  `org.apache.thrift.TException`

### getFieldDesc

protected org.apache.thrift.protocol.TField getFieldDesc(TColumn._Fields setField)

Specified by:
  `getFieldDesc` in class `org.apache.thrift.TUnion<TColumn,TColumn._Fields>`

### getStructDesc

protected org.apache.thrift.protocol.TStruct getStructDesc()

Specified by:
  `getStructDesc` in class `org.apache.thrift.TUnion<TColumn,TColumn._Fields>`

### enumForId

protected TColumn._Fields enumForId(short id)

Specified by:
  `enumForId` in class `org.apache.thrift.TUnion<TColumn,TColumn._Fields>`

### fieldForId

public TColumn._Fields fieldForId(int fieldId)

### getBoolVal

public TBoolColumn getBoolVal()

### setBoolVal

public void setBoolVal(TBoolColumn value)

### getByteVal

public TByteColumn getByteVal()

### setByteVal

public void setByteVal(TByteColumn value)

### getI16Val

public TI16Column getI16Val()

### setI16Val

public void setI16Val(TI16Column value)

### getI32Val

public TI32Column getI32Val()

### setI32Val

public void setI32Val(TI32Column value)

### getI64Val

public TI64Column getI64Val()

### setI64Val

public void setI64Val(TI64Column value)

### getDoubleVal

public TDoubleColumn getDoubleVal()

### setDoubleVal

public void setDoubleVal(TDoubleColumn value)

### getStringVal

public TStringColumn getStringVal()

### setStringVal

public void setStringVal(TStringColumn value)

### getBinaryVal

public TBinaryColumn getBinaryVal()

### setBinaryVal

public void setBinaryVal(TBinaryColumn value)

### isSetBoolVal

public boolean isSetBoolVal()

### isSetByteVal

public boolean isSetByteVal()

### isSetI16Val

public boolean isSetI16Val()

### isSetI32Val

public boolean isSetI32Val()

### isSetI64Val

public boolean isSetI64Val()

### isSetDoubleVal

public boolean isSetDoubleVal()

### isSetStringVal

public boolean isSetStringVal()

### isSetBinaryVal

public boolean isSetBinaryVal()

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

### equals

public boolean equals(TColumn other)

### compareTo

public int compareTo(TColumn other)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`